## GnomeDbQfAgg

GnomeDbQfAgg —

## Synopsis

                GnomeDbQfAgg;
    GType       gnome_db_qf_agg_get_type        (void);
    GObject*    gnome_db_qf_agg_new_with_agg    (GnomeDbQuery *query,
                                                 GnomeDbServerAggregate *agg);
    GObject*    gnome_db_qf_agg_new_with_xml_id (GnomeDbQuery *query,
                                                 const gchar *agg_xml_id);
    GnomeDbServerAggregate* gnome_db_qf_agg_get_ref_agg
                                                (GnomeDbQfAgg *agg);
    gboolean    gnome_db_qf_agg_set_arg         (GnomeDbQfAgg *agg,
                                                 GnomeDbQfield *arg);
    GnomeDbQfield* gnome_db_qf_agg_get_arg      (GnomeDbQfAgg *agg);

## Object Hierarchy

      GObject
       +----GnomeDbBase
             +----GnomeDbQfield
                   +----GnomeDbQfAgg

## Implemented Interfaces

GnomeDbQfAgg implements GnomeDbXmlStorage, GnomeDbRenderer, GnomeDbReferer and GnomeDbField.

## Properties

      "query"                gpointer              : Read / Write

## Signals

    "templ-signal"
                void        user_function      (GnomeDbQfAgg *dbqfagg,
                                                gpointer user_data);

## Description

## Details

### GnomeDbQfAgg

    typedef struct _GnomeDbQfAgg GnomeDbQfAgg;

### gnome_db_qf_agg_get_type ()

    GType       gnome_db_qf_agg_get_type        (void);

Returns : |

### gnome_db_qf_agg_new_with_agg ()

    GObject*    gnome_db_qf_agg_new_with_agg    (GnomeDbQuery *query,
                                                 GnomeDbServerAggregate *agg);

Creates a new GnomeDbQfAgg object which represents the `agg` aggregate

`query` : | a GnomeDbQuery in which the new object will be
`agg` : | a GnomeDbServerAggregate object
Returns : | the new object

### gnome_db_qf_agg_new_with_xml_id ()

    GObject*    gnome_db_qf_agg_new_with_xml_id (GnomeDbQuery *query,
                                                 const gchar *agg_xml_id);

Creates a new GnomeDbQfAgg object which represents a given aggregate

`query` : | a GnomeDbQuery in which the new object will be
`agg_xml_id` : | the XML Id of a GnomeDbServerAggregate object
Returns : | the new object

### gnome_db_qf_agg_get_ref_agg ()

    GnomeDbServerAggregate* gnome_db_qf_agg_get_ref_agg
                                                (GnomeDbQfAgg *agg);

Get the real GnomeDbServerAggregate object used by `agg`

`agg` : | a GnomeDbQfAgg object
Returns : | the GnomeDbServerAggregate object, or NULL if `agg` is not active

### gnome_db_qf_agg_set_arg ()

    gboolean    gnome_db_qf_agg_set_arg         (GnomeDbQfAgg *agg,
                                                 GnomeDbQfield *arg);

Sets the argument of `agg`. If `arg` is `NULL`, then the argument (if there was one) is removed.

If `agg` is not active, then no check on the provided arg is performed.

`agg` : | a GnomeDbQfAgg object
`arg` : | a GnomeDbQfield object
Returns : | TRUE if no error occurred

### gnome_db_qf_agg_get_arg ()

    GnomeDbQfield* gnome_db_qf_agg_get_arg      (GnomeDbQfAgg *agg);

Get a list of the other GnomeDbQfield objects which are arguments of `agg`. If some of them are missing, then a `NULL` is inserted where it should have been.

`agg` : | a GnomeDbQfAgg object
Returns : | the GnomeDbQField argument

## Property Details

### The "`query`" property

      "query"                gpointer              : Read / Write

## Signal Details

### The "templ-signal" signal

    void        user_function                  (GnomeDbQfAgg *dbqfagg,
                                                gpointer user_data);

`dbqfagg` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.